function [cl, clIndx] = lbg_kmeans(pnts)

cl = [];
clIndx = [];
[ihelp, chelp, v] = kmeans(pnts',1, 'emptyaction', 'drop');
todopnts = {pnts};

while(~isempty(todopnts))
    
    pnts = todopnts{1};
    todopnts(1) = [];
    
    [ihelp, chelp, shelp] = kmeans(pnts',2, 'emptyaction', 'drop');
    [clhelp, clI] = pnts2clusters(pnts, ihelp);
    
    shelp
    
    shelp/v;
    
    if(shelp(1)/v < 0.05)
        cl = [cl clhelp(1)];
        clIndx = [clIndx clI(1)];
    else
        todopnts = [todopnts clhelp(1)];
    end
    
    if(shelp(2)/v < 0.05)
        cl = [cl clhelp(2)];
        clIndx = [clIndx clI(2)];
    else
        todopnts = [todopnts clhelp(2)];
    end
    
    %if(~isempty(cl))
    %    fig = show_clusters(cl);
    %    plot_3Dpoints([todopnts{1:end}], 'k', fig);
    %end
    
end

fig = show_clusters(cl);
plot_3Dpoints([todopnts{1:end}], 'k', fig);