%function seq2planes(infile, var, outfile)
function seq2planes(infile, outfile)

%seq = load(infile, var);
%seq = getfield(seq, var);
seq = load_sequence(infile, 'SR_176x144');
seq = preprocessing(seq);

n = length(seq.frames);

planes50 = cell(1, n);
rest50 = cell(1, n);
planes25 = cell(1, n);
rest25 = cell(1, n);

i = 1;
while(i <= n)
    
    disp(['Framenr.: ' num2str(i)]);
    
    [planes50{i}, rest50{i}] = establish_planes(seq.frames(i).points3D, ...
        seq.camType.width, seq.camType.height, 50, 'planarClsts', seq.frames(i).usage);
    
    [planes25{i}, rest25{i}] = establish_planes(seq.frames(i).points3D, ...
       seq.camType.width, seq.camType.height, 25, 'planarClsts', seq.frames(i).usage);
    
    save(outfile, '-mat', 'planes50', 'rest50', 'planes25', 'rest25');
    
    i = i+1;
    
end

save(outfile, '-mat', 'planes50', 'rest50', 'planes25', 'rest25');
%save(outfile, '-mat', 'planes50', 'rest50');