function planesMoved = transform_planes(planes, m)
% planesMoved = transform_planes(planes, m)

planesMoved = planes;

n = length(planes);
i = 1;

while( i <= n)
    
    pnts = [planes(i).pnts; ones(1, size(planes(i).pnts, 2))];
    pnts = m * pnts;
    
    planesMoved(i).pnts = pnts(1:3,:);
    
    coeff = princomp(pnts');
    planesMoved(i).n = coeff(1:3,3);
    
    planesMoved(i).d = planesMoved(i).n' * mean(planesMoved(i).pnts, 2);
    
    i = i+1;
    
end    
    