function distances = distance_adaptive_median(dis, camType)

distances = dis;

dis1 = medfilt2(dis, [7 7]);
dis2 = medfilt2(dis, [5 5]);
dis3 = medfilt2(dis, [3 3]);

% t1 = 0;
% t2 = 0;
% 
% if(strcmp(camType.name, 'PMD_16x64'))
%     t1 = 884.3;
%     t2 = 1768.6;
% elseif(strcmp(camType.name, 'PMD_120x160'))
%     t1 = 3000;
%     t2 = 6000;
% elseif(strcmp(camType.name, 'SR_176x144'))
%     t1 = 3000;
%     t2 = 6000;
% else
%     display('Unknown camera type.');
% end

dismin = min(min(dis));
dismax = max(max(dis));

% dismin = min(min(amp));
% dismax = max(max(amp));

t1 = dismin + (dismax -dismin) / 3;
t2 = dismin + 2*(dismax - dismin) / 3;

u1 = find(dis < t1);
u2 = find(dis >= t1 & dis < t2);
u3 = find(dis >= t2);

% u1 = find(amp < t1);
% u2 = find(amp >= t1 & dis < t2);
% u3 = find(amp >= t2);

distances(u1) = dis1(u1);
distances(u2) = dis2(u2);
distances(u3) = dis3(u3);
