function planes = pnts2plane_classification_gmd(fr, cam, display)
% planes = pnts2plane_classification_gmd(fr, cam, display)

if(nargin < 3)
    display = false;
end

% clusters = cluster_through_gmd(fr.points3D(1:3, fr.usage));
% 
% planes = [];
% 
% i = 1;
% while(i <= length(clusters))
%     pl = plane_segmentation(clusters{i});
%     
%     planes = [planes pl];
%     
%     i = i+1;
% end
% 
% if(display)
%     show_clusters({planes.pnts});
% end

% clusters = {fr.points3D(1:3, fr.usage)};
% 
% planes = [];
% 
% while(~isempty(clusters))
%     
%     [cl, clIndx, clStd]  = cluster_through_gmd(clusters{1});
%     clusters(1) = [];
%     
%     if(clStd)
%         planes = [planes cl];
%     else
%         clusters = [clusters cl];
%     end
%     
% end
% 
% if(display)
%     show_clusters(planes);
% end

clusters = {fr.points3D(1:3, fr.usage)};
sCurr = 1;
sPrev = 0;

i = 1;
while( i <= 100 && sCurr ~= sPrev)
    
    cl = [];
    j = 1;
    while(j <= length(clusters))
        
        clHelp = cluster_through_gmd(clusters{j});
        
        cl = [cl clHelp];
        j = j+1;
        
    end
    
    clusters = cl;
    sPrev = sCurr;
    sCurr = length(clusters);
    
    i = i+1;
    
end

disp(i);

if(display)
    show_clusters(clusters);
end

% planes = [];
% rest = [];
% i = 1;
% while( i <= length(clusters))
%     
%     pnts = clusters{i};
%     pos = main_plane_extraction(pnts);
%     
%     pl = pnts(:, pos);
%     pnts(:, pos) = [];
%     
%     planes = [planes {pl}];
%     rest = [rest pnts];
%     
%     i = i+1;
%     
% end
% 
% if(display)
%     show_clusters(planes);
% end